Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Set a temporary password for an existing user, using a valid management key.
This API endpoint allows you to set a temporary password for an existing user. This will require the user to change their password on next authentication.
See also
- See Manage Users for further details on managing users.
- See The User Object for further details on the user object.
- See Manage Tenants for further details on managing tenants.
curl -X POST "https://api.descope.com/v1/mgmt/user/password/set/temporary" \ -H "Content-Type: application/json" \ -d '{}'{ "cleartext": "string"}export interface Response {cleartext?: string}Set Active Password for User POST
### Set an active password for an existing user, using a valid management key. This API endpoint allows you to set an active password for an existing user. This will allow the user to authenticate with this password without changing it. ### See also - See [Manage Users](/manage/users) for further details on managing users. - See [The User Object](/api/overview#the-user-object) for further details on the user object. - See [Manage Tenants](/management/tenant-management) for further details on managing tenants.
Update User Add Tenant POST
### Add a tenant to an existing user, using a valid management key. This API endpoint allows you to add a user to a tenant granularly without updating all user details. The response returns the user's details in json format. ### See also - See [Manage Users](/manage/users) for further details on managing users. - See [The User Object](/api/overview#the-user-object) for further details on the user object. - See [Manage Tenants](/management/tenant-management) for further details on managing tenants.